/*+==========================================================================
  File:      analyzer.cs

  Summary:   Contains a class used to hold the temporary data needed for the Roth calc
 
  Classes:   CRothAnalyzer

  Functions: None
             
----------------------------------------------------------------------------
  This file is part of the Microsoft NGWS Samples.

  Copyright (C) 1998-1999 Microsoft Corporation.  All rights reserved.
==========================================================================+*/

using System;
using Samples.Assemblies.Download.Calcr;
using Samples.Assemblies.Download.Statics;

namespace Samples.Assemblies.Download.Analyzer
{

	public class CRothAnalyzer
	{

	  public String Name
	  {
		get 
		{ 
		  return CRothStatics.ParticipantName;
		}
		set 
		{ 
		  CRothStatics.ParticipantName = value;
		  return; 
		}
	  }


	  public int AGI
	  {
		get 
		{ 
		  return CRothStatics.ParticipantAGI;
		}
		set 
		{ 
		  CRothStatics.ParticipantAGI = value;
		  return; 
		}
	  }

	  public int FilingStatus
	  {
		get 
		{ 
		  return CRothStatics.ParticipantFilingStatus;
		}
		set 
		{ 
		  CRothStatics.ParticipantFilingStatus = value;
		  return; 
		}
	  }

	  public int GetAmount()	    
	  { 
		CRothCalculator calc = new CRothCalculator();
		return calc.GetAmount(CRothStatics.ParticipantAGI, CRothStatics.ParticipantFilingStatus);
	  }

	  public bool GetCanConvert() 
	  { 
		CRothCalculator calc = new CRothCalculator();
		return calc.GetCanConvert(CRothStatics.ParticipantAGI, CRothStatics.ParticipantFilingStatus); 
	  }


	}

}

